org.mariadb.jdbc.internal.common.queryresults

## Class StreamingSelectResult

- java.lang.Object
- - org.mariadb.jdbc.internal.common.queryresults.QueryResult
  - - org.mariadb.jdbc.internal.common.queryresults.SelectQueryResult
    - - org.mariadb.jdbc.internal.common.queryresults.StreamingSelectResult

    public class StreamingSelectResult
    extends SelectQueryResult

### Field Summary

Fields
`ValueObject[]` `values`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`static StreamingSelectResult` `createStreamingSelectResult(ResultSetPacket packet, PacketFetcher packetFetcher, MySQLProtocol protocol, boolean binaryProtocol)`
`int` `getRows()`
`ValueObject` `getValueObject(int i)` gets the value at position i in the result set. i starts at zero!
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isBinaryProtocol()`
`boolean` `next()`

### Methods inherited from class org.mariadb.jdbc.internal.common.queryresults.SelectQueryResult

`getColumnInformation, getMessage, getResultSetType, getRowPointer, getWarnings, moveRowPointerTo`

### Methods inherited from class org.mariadb.jdbc.internal.common.queryresults.QueryResult

`getFailureObject, isClosed, setFailureObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### values

    public ValueObject[] values

### Method Detail

#### createStreamingSelectResult

    public static StreamingSelectResult createStreamingSelectResult(ResultSetPacket packet,
                                                                    PacketFetcher packetFetcher,
                                                                    MySQLProtocol protocol,
                                                                    boolean binaryProtocol)
                                                             throws IOException,
                                                                    QueryException

Parameters:
  `packet` - the result set packet from the server
  `packetFetcher` - packetfetcher
  `protocol` - the current connection protocol class
  `binaryProtocol` - is the mysql protocol binary
Returns:
  a StreamingQueryResult
Throws:
  `IOException` - when something goes wrong while reading/writing from the server
  `QueryException` - if there is an actual active result on the current connection

#### next

    public boolean next()
                 throws IOException,
                        QueryException

Specified by:
  `next` in class `SelectQueryResult`
Throws:
  `IOException`
  `QueryException`

#### close

    public void close()

Overrides:
  `close` in class `QueryResult`

#### getValueObject

    public ValueObject getValueObject(int i)
                               throws NoSuchColumnException

gets the value at position i in the result set. i starts at zero!

Specified by:
  `getValueObject` in class `SelectQueryResult`
Parameters:
  `i` - index, starts at 0
Returns:
  the value
Throws:
  `NoSuchColumnException` - if the column does not exist

#### getRows

    public int getRows()

Specified by:
  `getRows` in class `QueryResult`

#### isBeforeFirst

    public boolean isBeforeFirst()

Specified by:
  `isBeforeFirst` in class `SelectQueryResult`

#### isAfterLast

    public boolean isAfterLast()

Specified by:
  `isAfterLast` in class `SelectQueryResult`

#### isBinaryProtocol

    public boolean isBinaryProtocol()